Bug 1387716 - Review Request: switcheroo-control - D-Bus service to check the availability of dual-GPU
Summary: Review Request: switcheroo-control - D-Bus service to check the availability ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-21 16:04 UTC by Kalev Lember
Modified: 2016-10-25 04:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-25 04:27:12 UTC
Type: ---
mclasen: fedora-review+


Attachments (Terms of Use)

Description Kalev Lember 2016-10-21 16:04:33 UTC
Spec URL: https://kalev.fedorapeople.org/switcheroo-control.spec
SRPM URL: https://kalev.fedorapeople.org/switcheroo-control-1.0-1.fc24.src.rpm
Description:
D-Bus service to check the availability of dual-GPU.

Fedora Account System Username: kalev

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16152842

Comment 1 Matthias Clasen 2016-10-21 17:00:57 UTC
rpmlint output:

$ rpmlint switcheroo-control-1.0-1.fc2*
switcheroo-control.x86_64: W: non-conffile-in-etc /etc/dbus-1/system.d/net.hadess.SwitcherooControl.conf
switcheroo-control.x86_64: W: no-manual-page-for-binary switcheroo-control
2 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 2 Matthias Clasen 2016-10-21 17:11:32 UTC
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file legible: yes
upstream sources: ok
buildable: ok
excludearch: ok
build deps: ok
locale handling ok
shared libs: ok
system libs: ok
relocatable: no
directory ownership: ok
duplicate files: ok
permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
devel deps: ok
la files: ok
gui apps: ok
directory ownership: ok
utf8 filenames: ok

Comment 3 Matthias Clasen 2016-10-21 17:11:50 UTC
approved

Comment 4 Gwyn Ciesla 2016-10-21 17:29:06 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/switcheroo-control

Comment 5 Fedora Update System 2016-10-22 23:23:35 UTC
control-center-3.22.1-2.fc25, gnome-session-3.22.1-2.fc25, gnome-shell-3.22.1-2.fc25, switcheroo-control-1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a965aec32f

Comment 6 Fedora Update System 2016-10-25 04:27:12 UTC
control-center-3.22.1-2.fc25, gnome-session-3.22.1-2.fc25, gnome-shell-3.22.1-2.fc25, switcheroo-control-1.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.